Kernel's makefiles pass -Werror=strict-prototypes which
can trigger errors depending on compiler defaults.
https://bugs.gentoo.org/870238
https://github.com/NVIDIA/open-gpu-kernel-modules/issues/377
--- a/kernel/nvidia/nvlink_linux.c
+++ b/kernel/nvidia/nvlink_linux.c
@@ -560 +560 @@
-void * nvlink_allocLock()
+void * nvlink_allocLock(void)
--- a/kernel/nvidia/os-interface.c
+++ b/kernel/nvidia/os-interface.c
@@ -1169 +1169 @@
-NvU32 NV_API_CALL os_get_cpu_number()
+NvU32 NV_API_CALL os_get_cpu_number(void)
@@ -1176 +1176 @@
-NvU32 NV_API_CALL os_get_cpu_count()
+NvU32 NV_API_CALL os_get_cpu_count(void)
@@ -1256 +1256 @@
-void NV_API_CALL os_dump_stack()
+void NV_API_CALL os_dump_stack(void)
--- a/kernel/nvidia-uvm/uvm_common.c
+++ b/kernel/nvidia-uvm/uvm_common.c
@@ -37 +37 @@
-bool uvm_debug_prints_enabled()
+bool uvm_debug_prints_enabled(void)
--- a/kernel/nvidia-uvm/uvm_gpu_access_counters.c
+++ b/kernel/nvidia-uvm/uvm_gpu_access_counters.c
@@ -1721 +1721 @@
-NV_STATUS uvm_perf_access_counters_init()
+NV_STATUS uvm_perf_access_counters_init(void)
@@ -1732 +1732 @@
-void uvm_perf_access_counters_exit()
+void uvm_perf_access_counters_exit(void)
--- a/kernel/nvidia-uvm/uvm_lock.c
+++ b/kernel/nvidia-uvm/uvm_lock.c
@@ -337 +337 @@
-bool __uvm_thread_check_all_unlocked()
+bool __uvm_thread_check_all_unlocked(void)
--- a/kernel/nvidia-uvm/uvm_migrate.c
+++ b/kernel/nvidia-uvm/uvm_migrate.c
@@ -798 +798 @@
-NV_STATUS uvm_migrate_init()
+NV_STATUS uvm_migrate_init(void)
@@ -824 +824 @@
-void uvm_migrate_exit()
+void uvm_migrate_exit(void)
--- a/kernel/nvidia-uvm/uvm_migrate_pageable.c
+++ b/kernel/nvidia-uvm/uvm_migrate_pageable.c
@@ -1004 +1004 @@
-NV_STATUS uvm_migrate_pageable_init()
+NV_STATUS uvm_migrate_pageable_init(void)
@@ -1013 +1013 @@
-void uvm_migrate_pageable_exit()
+void uvm_migrate_pageable_exit(void)
--- a/kernel/nvidia-uvm/uvm_perf_heuristics.c
+++ b/kernel/nvidia-uvm/uvm_perf_heuristics.c
@@ -31 +31 @@
-NV_STATUS uvm_perf_heuristics_init()
+NV_STATUS uvm_perf_heuristics_init(void)
@@ -50 +50 @@
-void uvm_perf_heuristics_exit()
+void uvm_perf_heuristics_exit(void)
--- a/kernel/nvidia-uvm/uvm_perf_prefetch.c
+++ b/kernel/nvidia-uvm/uvm_perf_prefetch.c
@@ -428 +428 @@
-NV_STATUS uvm_perf_prefetch_init()
+NV_STATUS uvm_perf_prefetch_init(void)
--- a/kernel/nvidia-uvm/uvm_perf_thrashing.c
+++ b/kernel/nvidia-uvm/uvm_perf_thrashing.c
@@ -1946 +1946 @@
-NV_STATUS uvm_perf_thrashing_init()
+NV_STATUS uvm_perf_thrashing_init(void)
@@ -2005 +2005 @@
-void uvm_perf_thrashing_exit()
+void uvm_perf_thrashing_exit(void)
--- a/kernel/nvidia-uvm/uvm_procfs.c
+++ b/kernel/nvidia-uvm/uvm_procfs.c
@@ -49 +49 @@
-NV_STATUS uvm_procfs_init()
+NV_STATUS uvm_procfs_init(void)
@@ -69 +69 @@
-void uvm_procfs_exit()
+void uvm_procfs_exit(void)
@@ -74 +74 @@
-struct proc_dir_entry *uvm_procfs_get_gpu_base_dir()
+struct proc_dir_entry *uvm_procfs_get_gpu_base_dir(void)
@@ -79 +79 @@
-struct proc_dir_entry *uvm_procfs_get_cpu_base_dir()
+struct proc_dir_entry *uvm_procfs_get_cpu_base_dir(void)
--- a/kernel/nvidia-uvm/uvm_push.c
+++ b/kernel/nvidia-uvm/uvm_push.c
@@ -292 +292 @@
-bool uvm_push_info_is_tracking_descriptions()
+bool uvm_push_info_is_tracking_descriptions(void)
@@ -297 +297 @@
-bool uvm_push_info_is_tracking_acquires()
+bool uvm_push_info_is_tracking_acquires(void)
--- a/kernel/nvidia-uvm/uvm_thread_context.c
+++ b/kernel/nvidia-uvm/uvm_thread_context.c
@@ -104 +104 @@
-bool uvm_thread_context_wrapper_is_used()
+bool uvm_thread_context_wrapper_is_used(void)
--- a/kernel/nvidia-uvm/uvm_tools.c
+++ b/kernel/nvidia-uvm/uvm_tools.c
@@ -2207 +2207 @@
-void uvm_tools_flush_events()
+void uvm_tools_flush_events(void)
